import { 
  select, 
  csv,
	scaleOrdinal,
	pie,
	arc} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');
const radius = Math.min(width, height) / 2;

const render = data => {
  
  const colorScale = scaleOrdinal()
  	.domain(['Sales', 'Dividends', 'Interest'])
  	.range(['#2C93E8','#838690','#F56C4E']);
  
  console.log(colorScale('Dividends'))
  
  const pie_calc = pie()
  	.value(d => d.amount)(data);
  
  console.log(pie_calc)
  
  const arc = d3.arc()
		.outerRadius(radius - 10)
		.innerRadius(radius - 125);

	const labelArc = d3.arc()
		.outerRadius(radius - 100)
		.innerRadius(radius - 40);
  
  const g = svg.selectAll('arc').append('g')
  	.data(pie_calc)
  	.enter().append('g')
  	.attr('transform', `translate(${width/2}, ${height/2})`);
  
  g.append('path')
		.attr('d', arc)
		.style('fill', d => colorScale(d.data.income));
  
  g.append('text')
  	.attr('transform', d => 
         `translate(${labelArc.centroid(d)})`)
    .text(d => d.data.income)
  	.attr('class', 'dounat-text');
  	
  

}

csv('data.csv').then(data => {
  data.forEach(d => {
  	d.amount = +d.amount * 1000;
  });
	render(data);
});


















